Download it now!
Bug 101005 - When switch between slides LibreOffice sends panel type to assistive technologies instead of usefuls informations (title, page, ...)
Summary: When switch between slides LibreOffice sends panel type to assistive technolo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2016-07-19 10:15 UTC by Alex ARNAUD
Modified: 2019-10-26 02:09 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex ARNAUD 2016-07-19 10:15:16 UTC
Dear LibreOffice community,

on the version 5.1.4, when I switch between slides LibreOffice sends to AT-SPI2 only the type of the second element instead of the slide title.
On the version 4.2.6, when I switch between slides LibreOffise sends the slide name, the title of the slide inside the title pane and the page number

Steps to reproduce :
1) Open Libreoffice Impress document
2) Add multiple slides
3) Move between slides with pgup/pgdown

Result : Orca says the type of the second panel
Expected result: It should be more user-friendly if LibreOffice could give us only the title of slide inside the title pane or if it doesn't exist the slide name

As I know a special ATK event (for GNU/linux) exists for switch between pages.

Best regards.
Comment 1 Aron Budea 2016-07-27 09:29:02 UTC
For me in 5.2.0.3 Orca says: "Slide 1 panel" (for first slide).
Not sure if that's what you meant by "type of the second panel," but it's true that the title isn't announced.

Regarding your last comment, do you know what the currently used event is? Also, can you tell how it can be checked directly what is received by AT-SPI2?
Comment 2 Yousuf Philips (jay) (retired) 2016-09-13 05:37:05 UTC
I see this happening on windows with NVDA and 5.3 master (it only saying the slide layout type), but not on linux with orca 3.20.

If you think it important to hear 'slide X of X' like 4.2, then i'd suggest submitting a regression bug.

(In reply to Aron Budea from comment #1)
> For me in 5.2.0.3 Orca says: "Slide 1 panel" (for first slide).

Yes "Slide 1" is the name of the slide.
Comment 3 Xisco Faulí 2017-09-29 08:49:34 UTC Comment hidden (obsolete)
Comment 4 Alex ARNAUD 2017-10-03 12:51:02 UTC
Dear all,

I can reproduce this issue on LibreOfficeDev 6.0 of 2017-09-27 on Debian 8.9 "Jessie".

Best regards.
Comment 5 Quentin Christensen 2017-10-24 04:04:22 UTC
Using Impress 5.4.2.2 (x64) on Windows 10 and using NVDA 2017.3.  With the document properties pane visible on the right sidebar, when I press page up or down to move between slides, it reads the slide type "title slide", "title, content" etc.  With any other right sidebar pane, it either reads nothing, or repeats the same information (eg "drawing view" for every slide with "slide transition sidebar).

With the Navigator sidebar, it at least tells you which slide (slide 1, slide 2, slide 3 - these are not the names of my slides).

In any case, as per the title of this ticket, the information is broadly not useful (perhaps unless keeping the navigator sidebar open), and should not be using information from the sidebar anyway.  It should read some or all of slide number, title or slide text, and / or some other property that could be reasonably expected to be relatively unique and identifiable for each slide.
Comment 6 QA Administrators 2018-10-25 03:02:44 UTC Comment hidden (obsolete)
Comment 7 V Stuart Foote 2018-10-25 05:35:37 UTC
a11y issue remains on Windows builds with NVDA screen reader
Version: 6.2.0.0.alpha1+ (x64)
Build ID: d11594db10c6c4eb9251c6eeeccbf9b9565cc693
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2018-10-23_19:43:43
Locale: en-US (en_US); Calc: CL
Comment 8 QA Administrators 2019-10-26 02:09:50 UTC
Dear Alex ARNAUD,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug